%%% This file contains parameters for the Fraying-Initiated Timer (FIT)
%%% presented in Fern et al. (2017)
%%% Run this to populate the workspace and open the model in SIMULINK
%%% The model is further used for robustness analysis to the parametric
%%% uncertainty in the reaction rates

% Rates are chosen from Table2 of SI of Fern et al. for the corresponding concentrations 
% of [S] and [I] converted to 1/M*s

k_leak = 5e-10;   % leak rate
k_Obp = k_leak;   % 1st reaction rate    
k_f = 2e-3;       % forward (2nd reaction)
k_r = 1e-7;       % reverse (2nd reaction)
k_rep = 5e-5;     % reporter (3rd reaction)

I_0 = 1000;       % Initial concentration of Initiator
S_0 = 1000;       % Initial concentration of Source
D_0 = 50;         % Initial concentration of Delay
R_0 = 100;        % Initial concentration of Reporter

open_system('Timer_FIT_leak') % % opens corresponding SIMULINK model
