%%% This file contains parameters for the Toehold-Mediated Timer (TMT)
%%% Run this to populate the workspace and open the model in SIMULINK
%%% The model is further used for robustness analysis to the parametric
%%% uncertainty in the reaction rates

% Declare model parameters
kt0 = 9E-7;    % 1st reaction rate for fast timer
kt1 = 2E-3;    % 2nd reaction rate for fast timer
k_rev = 1E-7;  % reaction rate for the reverced reactions triggered by clamps
c = 2E-06;     % degree of complementarity to slow down 3rd reaction
leak = 1E-9;   % leak rate

I_0 = 100;     % Initial concentration of Initiator
S_0 = 100;     % Initial concentration of Source
R_0 = 100;     % Initial concentration of Reporter
D_0 = 50;      % Initial concentration of Delay

open_system('Timer_TMT_leaks') % opens corresponding SIMULINK model
